Bug 1900527 - Qt application crashing due to miscompilation with LTO
Summary: Qt application crashing due to miscompilation with LTO
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: binutils
Version: 33
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Nick Clifton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1873713
TreeView+ depends on / blocked
 
Reported: 2020-11-23 09:47 UTC by Libor Pechacek
Modified: 2021-11-30 17:15 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-30 17:15:32 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github clearlinux distribution issues 2169 0 None closed wireshark segfault'ing 2020-12-28 15:02:31 UTC
Qt Bug Tracker QTBUG-86173 0 None None None 2020-11-23 15:16:11 UTC
Red Hat Bugzilla 1873713 0 unspecified CLOSED coredump in libQt5Core.so.5 2021-02-22 00:41:40 UTC
Sourceware 26407 0 P2 RESOLVED Global symbol reference breaks without -Bsymbolic-functions 2020-12-28 15:02:29 UTC

Description Libor Pechacek 2020-11-23 09:47:54 UTC
OpenOrienteering Mapper (a Qt-based application built with CMake) fails to start on Fedora 33. The issue was tracked down by Mapper developers to be an instance of LTO induced miscompilation that was thoroughly discussed by experts in https://bugreports.qt.io/browse/QTBUG-86173 and https://bugzilla.opensuse.org/show_bug.cgi?id=1175278. The OO Mapper workaround for Fedora is to disable LTO for the moment.

Please revisit your LTO implementation and the toolchain so that Qt applications build correctly again.

Further reading:

binutils upstream report - https://sourceware.org/bugzilla/show_bug.cgi?id=26407

openSUSE report (where the issue was initially analyzed) - https://bugzilla.opensuse.org/show_bug.cgi?id=1175278

Qt upstream report (where the issue was more thoroughly discussed) - https://bugreports.qt.io/browse/QTBUG-86173

Clear Linux report  for Wireshark (identical crash as in Mapper) - https://github.com/clearlinux/distribution/issues/2169

Fedora fix of the same Wireshark bug - https://src.fedoraproject.org/rpms/wireshark/c/e14ec14401ade3c619c14b963b774480d1270b4e

temporary openSUSE fix in libqt5core - https://build.opensuse.org/request/show/845064

likely related Fedora bug report for libqt5core - https://bugzilla.redhat.com/show_bug.cgi?id=1873713

Comment 1 Ben Cotton 2021-11-04 16:55:30 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2021-11-30 17:15:32 UTC
Fedora 33 changed to end-of-life (EOL) status on 2021-11-30. Fedora 33 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.